GNU bug report logs - #42002
'guix pull' build processes get SIGKILL on ARMv7

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Léon Lain Delysid <leon.lain.delysid@HIDDEN>; dated Mon, 22 Jun 2020 12:29:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to ''guix pull' build processes get SIGKILL on ARMv7' from 'Bug: Signal kill during build' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42002 <at> debbugs.gnu.org:


Received: (at 42002) by debbugs.gnu.org; 23 Jun 2020 05:58:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 23 01:58:36 2020
Received: from localhost ([127.0.0.1]:35291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnbx5-0006yD-Jz
	for submit <at> debbugs.gnu.org; Tue, 23 Jun 2020 01:58:35 -0400
Received: from flashner.co.il ([178.62.234.194]:57044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1jnbx1-0006xu-Dn
 for 42002 <at> debbugs.gnu.org; Tue, 23 Jun 2020 01:58:34 -0400
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 0CB6C4007B;
 Tue, 23 Jun 2020 05:58:24 +0000 (UTC)
Date: Tue, 23 Jun 2020 08:57:52 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: "Bonface M. K." <bonfacemunyoki@HIDDEN>
Subject: Re: bug#42002: Bug: Signal kill during build
Message-ID: <20200623055752.GF22974@E5400>
References: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
 <20200622124708.GC22974@E5400>
 <CAHecTjfasFvWbgC2+s7WDodDhSqQJxxM7GbksSaBgDdcZOQH0Q@HIDDEN>
 <86zh8u39bk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="nqkreNcslJAfgyzk"
Content-Disposition: inline
In-Reply-To: <86zh8u39bk.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Tue, Jun 23, 2020 at 03:38:39AM +0300, Bonface M. K. wrote:
    > Léon Lain Delysid <leon.lain.delysid@HIDDEN> writes: > > > Oh! Yes,
    of course, I see! > > Yes, those little credit card sized one-c [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 PDS_BTC_ID             FP reduced Bitcoin ID
  1.0 PDS_BTC_MSGID          Bitcoin ID with T_MSGID_NOFQDN2
X-Debbugs-Envelope-To: 42002
Cc: =?utf-8?B?TMOpb24=?= Lain Delysid <leon.lain.delysid@HIDDEN>,
 42002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)


--nqkreNcslJAfgyzk
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jun 23, 2020 at 03:38:39AM +0300, Bonface M. K. wrote:
> L=C3=A9on Lain Delysid <leon.lain.delysid@HIDDEN> writes:
>=20
> > Oh! Yes, of course, I see!
> > Yes, those little credit card sized one-chip computers are very low on =
resources.
> > So I think it shouldn't build the programs itself but rather download t=
he binaries everytime I "guix pull". What command line
> > option should I use to only download the binaries instead of building e=
verything myself? Could you please give me the command?
> >
> You could try: `guix pull --substitute-urls=3D"https://berlin.guixsd.org
> https://ci.guix.gnu.org https://mirror.hydra.gnu.org"`. Since you are on
> Debian, you should authorize the servers. More of the authorization
> here:
> https://guix.gnu.org/manual/en/html_node/Substitute-Server-Authorization.=
html.
> You could always dry-run your commands to see if the substitutes work.

Actually, berlin.guixsd.org and ci.guix.gnu.org are the same server, and
mirror.hydra.gnu.org was decommissioned a while ago. The second server
for substitutes is https://bayfront.guix.gnu.org.

I think the best option would be to make sure you run 'guix pull'
targeting a derivation which has substitutes. If you check here=C2=B9 you c=
an
see if there's a substitute already available for armhf-linux and run
'guix pull --commit=3Dthe-commit-listed-in-the-link'. Right now, that
would be 42a2ee1f9294614bd85892f2cc7318afb80b174c, which is actually the
latest commit.

=C2=B9 https://ci.guix.gnu.org/jobset/guix-modular-master

>=20
> > On Mon, Jun 22, 2020, 14:47 Efraim Flashner <efraim@HIDDEN> wro=
te:
> >
> >     On Mon, Jun 22, 2020 at 02:28:33PM +0200, L=C3=A9on Lain Delysid wr=
ote:
> >     > Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10=
 Buster
> >     > (ARM like instruction set).
> >     > "guix pull" always results in failure with this message:
> >     >
> >     > building
> >     > /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.dr=
v...
> >     >=C2=A0 76% [#######################################################
> >     >=C2=A0 =C2=A0 ]builder for
> >     > `/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.d=
rv' failed
> >     > due to signal 9 (Killed)
> >     > build of /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-package=
s-base.drv
> >     > failed
> >     > View build log at
> >     > '/var/log/guix/drvs/3h/as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packag=
es-base.drv.bz2'.
> >     > cannot build derivation
> >     > `/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv': 1 dep=
endencies
> >     > couldn't be built
> >     > building
> >     > /gnu/store/rmbf654gah845f3hbzn9hdamn3xn1s25-guix-config-source.dr=
v...
> >     > cannot build derivation
> >     > `/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-m=
odules.drv':
> >     > 1 dependencies couldn't be built
> >     > cannot build derivation
> >     > `/gnu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv': 1
> >     > dependencies couldn't be built
> >     > cannot build derivation
> >     > `/gnu/store/4hk3v9q8nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.dr=
v': 1
> >     > dependencies couldn't be built
> >     > cannot build derivation
> >     > `/gnu/store/ha53vvwh6v1d68v1kj5m43csinxlrflc-guix-system.drv': 1
> >     > dependencies couldn't be built
> >     > cannot build derivation
> >     > `/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fae72ebb4-modul=
es.drv': 1
> >     > dependencies couldn't be built
> >     > cannot build derivation
> >     > `/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.drv':=
 1
> >     > dependencies couldn't be built
> >     > cannot build derivation
> >     > `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv': 1 depe=
ndencies
> >     > couldn't be built
> >     > guix pull: error: build of
> >     > `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv' failed1
> >     >
> >     >
> >     >
> >     > What can I do? Some help would be much appreciated. Thanks!
> >     >
> >     > Best regards,
> >     > L=C3=A9on
> >   =20
> >     The signal 9 (killed) makes me think a C++ program killed. I checked
> >     wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
> >     anything else running at the time? 'guix pull' can be resource
> >     intensive, especially on lower powered machines.
> >   =20
> >     --
> >     Efraim Flashner=C2=A0 =C2=A0<efraim@HIDDEN>=C2=A0 =C2=A0=D7=
=90=D7=A4=D7=A8=D7=99=D7=9D =D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
> >     GPG key =3D A28B F40C 3E55 1372 662D=C2=A0 14F7 41AA E7DC CA3D 8351
> >     Confidentiality cannot be guaranteed on emails sent or received une=
ncrypted
>=20
> --=20
> Bonface M. K. (https://www.bonfacemunyoki.com)
> One Divine Emacs To Rule Them All
> GPG key =3D D4F09EB110177E03C28E2FE1F5BBAE1E0392253F

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--nqkreNcslJAfgyzk
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl7xmdwACgkQQarn3Mo9
g1GqWw//Zk2lGFfa2onnJoQb6SbPKSroJFtEjaftkYjH0t5r2ymFeFLiaaJDCed2
FG65P02uTc6s4iBw/RMNeyzFFpMwmaLV48wmP/ZF4GtAMIUTPW7n4oCKwKM2bEcx
QG8lqjVShy2uElDkl+Loe0bSm5pNBATMtubEgjYkZxgCTP6aR4iRU/rImorat0w0
1xiVLuyj5yooUnyjG8rPTcudBJls5pYPEZuhsUkRY/NJtU09zdrbjabahylBOHHY
AIvD2iJi6MkRqGIJqTvtofkO/+3WCawToH8ukUUki1oUTEK9ViI8APDLwNBqkA5R
wq9fX2WhMgSSzkVL+GRL+TV2foGG0K3tRfVOtK/m+Th5sJfucJKyiioINy4eu9SA
7DjULUB21v3IT/cvFhj55ujGWs/xNwGygSBNwOAhqMlO3NWVDTPWJ96hG75yMLsi
g+wx+oQluVZMvvVoXOvpsH0RhYvcQmc8Vli+cKeYdWjQOjHc4CcGWH07sGiByUs0
HoIZJLXp2bKOJArB9GFKKwgZDqHc2mqbhb7i2t8D0LhL29Cl8C9eglOcbu6xwNh9
o4BXLN08xWD2M0fsjWqXPq7vEYHgGvdEGSnvLWVXclMlWfRnL4N9Zl5m9SfNivCd
dRcDDsZ103coXgVF0E19jkSss5bhYcqdrUzbr/b7nKdTSGGb2wY=
=97ku
-----END PGP SIGNATURE-----

--nqkreNcslJAfgyzk--




Information forwarded to bug-guix@HIDDEN:
bug#42002; Package guix. Full text available.

Message received at 42002 <at> debbugs.gnu.org:


Received: (at 42002) by debbugs.gnu.org; 23 Jun 2020 03:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 23:51:49 2020
Received: from localhost ([127.0.0.1]:35198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnZyO-0003mc-5z
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 23:51:49 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:33483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bonfacemunyoki@HIDDEN>) id 1jnWxf-0007av-1X
 for 42002 <at> debbugs.gnu.org; Mon, 22 Jun 2020 20:38:52 -0400
Received: by mail-wr1-f44.google.com with SMTP id l11so18698087wru.0
 for <42002 <at> debbugs.gnu.org>; Mon, 22 Jun 2020 17:38:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=jp4TGXKkDruJrPO9xzWmwH/h4zVi/9+3UyuBSiu+LB8=;
 b=ITZ6HncFJs4qCxechcAQ5vM0eaXeu9cOcf5O8MU5WQIUsD6UcP4uxy5uYnI0cGFDs/
 19eXNrjv58QfJFewCXxCoxY6qHXI/TorNYXfyxXSuz43CAimNeydgxXE0D2uPPbbLA7I
 OzLp0OdNGQQXYIm0+AcFvW9QHu60Aoyjnb97WUfFLX3zVETSN8GhBE9CujV6JSvQfENo
 dadR2dLxiYwwGh1yx0hKQai5UgimIezBud3WEXzmgjjqCnU1cHJLwdgxVvhas4PLImwI
 ucQvlblAUXCMOOHnnmYxoc2TV+PXWaFBMVfQ36O06NL64DZAg88Us35igjE4z39gomxO
 MgFA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=jp4TGXKkDruJrPO9xzWmwH/h4zVi/9+3UyuBSiu+LB8=;
 b=hP9PGWtko4qszURKX4GuTylRBTLKkXEv2GlWLpEbUpMPApfvWUDjIUiq3jpxThi4qr
 DiogGw+9yRsaV2LSRqom0CqIQ6niTSRonMilrURRWP+ogCV6iBeSIpUt71AAeSf2Ry6G
 C3joJvA0MRwaxZavPdi+GlTgyrTtpYbOpOTUWtgSzVaanqiC/HNipvz6nzF13MbLEFTz
 V/d1jcz6w57WncMCFPvOr1Ng8zZGdfjAa52IMBkqLC50kcABJspKyDxaNaA4NR6cWM0W
 d2YLujT9g4ZkTCd+e+WS0E49nYDkGOMjQ255lX3YMcSlsm4EAnOQ6r1qj+yJmm8lB62n
 jHjw==
X-Gm-Message-State: AOAM533oWGF5vGBq1E8WR4eBUKY3trizbDjVByYTVk4cNtJSaYzhcmHt
 TsC1SebCi2XvHJ25VEB3k3uIAE8t
X-Google-Smtp-Source: ABdhPJwesWEkCjCW48yR+OEs8yQDFShTbPYuzb12z3Rk2wx6cALOlhfzoV6631KnMMUORHNYxAEt5Q==
X-Received: by 2002:adf:f885:: with SMTP id u5mr21705054wrp.402.1592872725129; 
 Mon, 22 Jun 2020 17:38:45 -0700 (PDT)
Received: from susa ([41.80.75.245])
 by smtp.gmail.com with ESMTPSA id z1sm6271840wrh.14.2020.06.22.17.38.42
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 22 Jun 2020 17:38:44 -0700 (PDT)
From: bonfacemunyoki@HIDDEN (Bonface M. K.)
To: =?utf-8?Q?L=C3=A9on?= Lain Delysid <leon.lain.delysid@HIDDEN>
Subject: Re: bug#42002: Bug: Signal kill during build
References: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
 <20200622124708.GC22974@E5400>
 <CAHecTjfasFvWbgC2+s7WDodDhSqQJxxM7GbksSaBgDdcZOQH0Q@HIDDEN>
Date: Tue, 23 Jun 2020 03:38:39 +0300
In-Reply-To: <CAHecTjfasFvWbgC2+s7WDodDhSqQJxxM7GbksSaBgDdcZOQH0Q@HIDDEN>
 (=?utf-8?Q?=22L=C3=A9on?= Lain Delysid"'s message of "Mon, 22 Jun 2020
 14:53:16 +0200")
Message-ID: <86zh8u39bk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42002
X-Mailman-Approved-At: Mon, 22 Jun 2020 23:51:47 -0400
Cc: Efraim Flashner <efraim@HIDDEN>, 42002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

L=C3=A9on Lain Delysid <leon.lain.delysid@HIDDEN> writes:

> Oh! Yes, of course, I see!
> Yes, those little credit card sized one-chip computers are very low on re=
sources.
> So I think it shouldn't build the programs itself but rather download the=
 binaries everytime I "guix pull". What command line
> option should I use to only download the binaries instead of building eve=
rything myself? Could you please give me the command?
>
You could try: `guix pull --substitute-urls=3D"https://berlin.guixsd.org
https://ci.guix.gnu.org https://mirror.hydra.gnu.org"`. Since you are on
Debian, you should authorize the servers. More of the authorization
here:
https://guix.gnu.org/manual/en/html_node/Substitute-Server-Authorization.ht=
ml.
You could always dry-run your commands to see if the substitutes work.

> On Mon, Jun 22, 2020, 14:47 Efraim Flashner <efraim@HIDDEN> wrote:
>
>     On Mon, Jun 22, 2020 at 02:28:33PM +0200, L=C3=A9on Lain Delysid wrot=
e:
>     > Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10 B=
uster
>     > (ARM like instruction set).
>     > "guix pull" always results in failure with this message:
>     >
>     > building
>     > /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv.=
..
>     >=C2=A0 76% [#######################################################
>     >=C2=A0 =C2=A0 ]builder for
>     > `/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv=
' failed
>     > due to signal 9 (Killed)
>     > build of /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-=
base.drv
>     > failed
>     > View build log at
>     > '/var/log/guix/drvs/3h/as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages=
-base.drv.bz2'.
>     > cannot build derivation
>     > `/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv': 1 depen=
dencies
>     > couldn't be built
>     > building
>     > /gnu/store/rmbf654gah845f3hbzn9hdamn3xn1s25-guix-config-source.drv.=
..
>     > cannot build derivation
>     > `/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-mod=
ules.drv':
>     > 1 dependencies couldn't be built
>     > cannot build derivation
>     > `/gnu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv': 1
>     > dependencies couldn't be built
>     > cannot build derivation
>     > `/gnu/store/4hk3v9q8nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.drv'=
: 1
>     > dependencies couldn't be built
>     > cannot build derivation
>     > `/gnu/store/ha53vvwh6v1d68v1kj5m43csinxlrflc-guix-system.drv': 1
>     > dependencies couldn't be built
>     > cannot build derivation
>     > `/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fae72ebb4-modules=
.drv': 1
>     > dependencies couldn't be built
>     > cannot build derivation
>     > `/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.drv': 1
>     > dependencies couldn't be built
>     > cannot build derivation
>     > `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv': 1 depend=
encies
>     > couldn't be built
>     > guix pull: error: build of
>     > `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv' failed1
>     >
>     >
>     >
>     > What can I do? Some help would be much appreciated. Thanks!
>     >
>     > Best regards,
>     > L=C3=A9on
>=20=20=20=20
>     The signal 9 (killed) makes me think a C++ program killed. I checked
>     wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
>     anything else running at the time? 'guix pull' can be resource
>     intensive, especially on lower powered machines.
>=20=20=20=20
>     --
>     Efraim Flashner=C2=A0 =C2=A0<efraim@HIDDEN>=C2=A0 =C2=A0=D7=
=90=D7=A4=D7=A8=D7=99=D7=9D =D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
>     GPG key =3D A28B F40C 3E55 1372 662D=C2=A0 14F7 41AA E7DC CA3D 8351
>     Confidentiality cannot be guaranteed on emails sent or received unenc=
rypted

--=20
Bonface M. K. (https://www.bonfacemunyoki.com)
One Divine Emacs To Rule Them All
GPG key =3D D4F09EB110177E03C28E2FE1F5BBAE1E0392253F




Information forwarded to bug-guix@HIDDEN:
bug#42002; Package guix. Full text available.

Message received at 42002 <at> debbugs.gnu.org:


Received: (at 42002) by debbugs.gnu.org; 22 Jun 2020 13:51:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 09:51:57 2020
Received: from localhost ([127.0.0.1]:33516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnMrc-00080g-M1
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 09:51:56 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:57491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jnMrZ-00080Q-Av
 for 42002 <at> debbugs.gnu.org; Mon, 22 Jun 2020 09:51:54 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 4C8FD5C2989;
 Mon, 22 Jun 2020 09:51:47 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 22 Jun 2020 09:51:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=vIIbsC850UU5TUgyQimCURph
 /w5kYCvH4I3a+Fiqd7Y=; b=O6EBoCjGHPTSOs5T+90wNHkKl9QpwObMJNUUajsO
 wd1Y8XEgoeK7nqbCeHu0JNdKG7KQDt9J5h93PEJHBVCGOQfdtXf+k7R6WKSlQx/D
 V7QXbclzH7BVBmvmFhiAgVqoBMeCeIjoQ/1hoO11vifFiexhYNAY6D8f3NVjFJ2K
 uoc=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=vIIbsC
 850UU5TUgyQimCURph/w5kYCvH4I3a+Fiqd7Y=; b=cqk0L+KqKqWoddYd/HSsH5
 StwWejiLqHXXvWlAo5/7QxkATEQHM6RMdPu/kU+YlsZ/OdTEV0okYaNwpXE7v9ZX
 3CMJzEfKSwrd3I0u7vEexvd00w//heUHe/iA3/Y77OP77ldF1EoUowhZJneiyWom
 Ub3WeMfOLWbsYWraYwcR8HCpVTtrq1EDV6HllwEVQ+swfs29ZiRfm4UbyTWPzW1P
 P7P25VdTF08IcO5/i9YMMZDvOwOmWXVr9f/NTcE/pmKZfMqMDVh1S1uX9cfgmCeZ
 u/sIuNyoEaYyFrh9vvzmq91CtmWAdaRs7lFG7rIEaWHN9J7MMlDWGz+QDKEpFwow
 ==
X-ME-Sender: <xms:crfwXuJ_4nM5ZPMCu9AkY7C80ZEjSG4cU9UHcNnhk6ZZ4cE84BCtdg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrudekvddgjedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehgtderredttddvnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpedvveegkeduiedvieeludevkeeugfeuueelhedtffegffdtfeekveelffeufedu
 keenucffohhmrghinhepghhnuhdrohhrghenucfkphepjeeirdduvdegrddufeekrdeife
 enucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvgho
 sehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:crfwXmKbo_5hTg2ocltoinU9_4mvm5z-G68CAqiZ_eJ36MymSzPThQ>
 <xmx:crfwXuuM-5pS4iNx1Nz6IMetxm9xM6M3bww9bSpnvUOh9tzQetXTyA>
 <xmx:crfwXjaOPfWLjVk8KAlDHM7vpAa9LkGRoFoo19zY9auRsWmA59NL1g>
 <xmx:c7fwXn0YhzOEmSadl0K5kKCt0t7q7HFO5RsId1cPC3vLlr6VRMMfaA>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 78CDF328006F;
 Mon, 22 Jun 2020 09:51:46 -0400 (EDT)
Date: Mon, 22 Jun 2020 09:51:44 -0400
From: Leo Famulari <leo@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: bug#42002: Bug: Signal kill during build
Message-ID: <20200622135144.GA9358@HIDDEN>
References: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
 <20200622124708.GC22974@E5400>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="d6Gm4EdcadzBjdND"
Content-Disposition: inline
In-Reply-To: <20200622124708.GC22974@E5400>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42002
Cc: =?iso-8859-1?Q?L=E9on?= Lain Delysid <leon.lain.delysid@HIDDEN>,
 42002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--d6Gm4EdcadzBjdND
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Mon, Jun 22, 2020 at 03:47:08PM +0300, Efraim Flashner wrote:
> The signal 9 (killed) makes me think a C++ program killed. I checked
> wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
> anything else running at the time? 'guix pull' can be resource
> intensive, especially on lower powered machines.

I think it should be possible with 2GB of RAM, if you limit the number
of concurrent builds.

For example, something like `guix pull --max-jobs=1`.

And I think the memory requirements should decrease with the recently
released Guile 3.0.3:

https://lists.gnu.org/archive/html/guile-devel/2020-06/msg00008.html

--d6Gm4EdcadzBjdND
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl7wt2YACgkQJkb6MLrK
fwi1Yw/8CEL2qWfcbFTZbQeAXINtLx9AxW34o/SNOaub9vK7rMynR1eWffO/CmGx
d/ktrh4RVV22LqYyiaVT1YG3T8AKz1hZvk72KE6m+cE1988ZsH4Pz6E2fHnvHPf/
Sf3STDVYxZH8MoRTZSTnSYxLAdhL3DB86BNLcvhynEw+DMMS25iMUtyqAlmBgErL
DlAQ1KjW5nj13PWv5WtAhlYN2lRVENusDqO4zpFz9xYU0CRWKGCpPYlSK6nkKgKa
EvO/HMkZqC1HSPyiYoQdbKb4NnYR51MR+qKxt/EQDEWS8w7UF4/e2YB7x8DZiedo
MSvhH+dSjnd1zOjqGv/1zz6GdwzC3J7KYtzVNFcMEYABXeFT9LXMwXAcdev3pz2G
lnkIRB9ApSAJFK6OZ4jR5oLw69X3JE/DrK9VKGOMG4KUn/0kJS+h4ljsMz1KJuKs
4AYXLOC9uui6zPa4QwVeyGUyu2VGuxj5UWzpbigjZnhwIURomS4zTGJsz0S6m9Kk
fSrctVewMA8gilMvID3znbhcZ57uv+M5Lda+p3k5ev5X1lEj3kn882Dwo3rwJgxK
bcMajQzLA1Af4rEXi7U2oQNpxlHZwAG4PCkrGhaQGB9cXeufl3ZazClqs/GKHJwB
PBhAwP0MfuOq3cGhQmYYF5SpcfLjuiO4Y7GBKpc6X5LvWqumjgE=
=q2OY
-----END PGP SIGNATURE-----

--d6Gm4EdcadzBjdND--




Information forwarded to bug-guix@HIDDEN:
bug#42002; Package guix. Full text available.

Message received at 42002 <at> debbugs.gnu.org:


Received: (at 42002) by debbugs.gnu.org; 22 Jun 2020 12:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 08:53:37 2020
Received: from localhost ([127.0.0.1]:33471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnLxB-0006XW-2J
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 08:53:37 -0400
Received: from mail-ej1-f45.google.com ([209.85.218.45]:36881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leon.lain.delysid@HIDDEN>) id 1jnLx7-0006XI-Ni
 for 42002 <at> debbugs.gnu.org; Mon, 22 Jun 2020 08:53:35 -0400
Received: by mail-ej1-f45.google.com with SMTP id mb16so17902045ejb.4
 for <42002 <at> debbugs.gnu.org>; Mon, 22 Jun 2020 05:53:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=7tnfBwsF8PKLYyiXAauazvpnywx6FT+NiWzK+7qkGEI=;
 b=uj90o2DC+RsQ433qG5gY6FwfOmZSWMStRmAYD806qsJjfNnXY7G+vJi26xsbVNHxDS
 sjjulg244oUFbcSypv3pjnN8vbTazivXlnv/+uU9lydtlyFoR9sKbpoSO1lYx6zF3apg
 qCINaS/c1wLXJuxoIgIdSDgGxkVYq9SrWG1NE+Mas1eST66ij9afEZfr9DKdS2/QZlyq
 ADlKshiAdMV8wJFjmyt/qjvcfhSI/0kxE8BrP/k/OwKk2ScueILfdMvo7srQQ4cojNxc
 AMJUbgvaDkzKfMupm68jhrvGkojbQUcI6JoPHnEhpuvLEEadPRuv5zdXaNvoep0Xltnm
 TpmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=7tnfBwsF8PKLYyiXAauazvpnywx6FT+NiWzK+7qkGEI=;
 b=CdCeJ4YQHBVOF62CeSdATqsO2hrHBVql2Yp6xf1DIvgLvVJjCJgffI0kgUCrqWEWNO
 BN6W2YoagD53UH+FsNlYeuPi/3bivMat+nrrJIC9TG1tFjqLm1m40dq2x6jAapQnPmSw
 I1oqL9NE7GthTMUwqPrvlOw5ukKGP8t5CjKzLm7arUer96ojtoCcgfTS7nDPLWyfXJlV
 y6Y2wBYF7+qqpPk9T9RV7NUa479BbeEw/U57l/c7AO4lEbUENod9/KV+aVAeLd/NfY/V
 /dJdczZcIr6emtD2hUYDV2oQ7kyN/VwNgZzNt/CFkmGFO5nqLM47rrCNEjIvp6OQhlJ/
 suvA==
X-Gm-Message-State: AOAM53049eNPwSTz1T3iqdqT3dw1HB3oxNDLoziL4Oo0yhoMCJVQ7ek4
 4PvzGBacKe/k+L4LGqyeXH13UNvnRtBUjXuiXWY=
X-Google-Smtp-Source: ABdhPJz2wX+R8zkxhApAkTdWF8WhkbsxjUcAE8LQIRY+FKoTWxZ2KlRyfOIV1Hag+2IUgOWKi4612gwo1heaBzrJaLU=
X-Received: by 2002:a17:906:2656:: with SMTP id
 i22mr14856096ejc.397.1592830407746; 
 Mon, 22 Jun 2020 05:53:27 -0700 (PDT)
MIME-Version: 1.0
References: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
 <20200622124708.GC22974@E5400>
In-Reply-To: <20200622124708.GC22974@E5400>
From: =?UTF-8?Q?L=C3=A9on_Lain_Delysid?= <leon.lain.delysid@HIDDEN>
Date: Mon, 22 Jun 2020 14:53:16 +0200
Message-ID: <CAHecTjfasFvWbgC2+s7WDodDhSqQJxxM7GbksSaBgDdcZOQH0Q@HIDDEN>
Subject: Re: bug#42002: Bug: Signal kill during build
To: Efraim Flashner <efraim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000a42a6305a8abbac5"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42002
Cc: 42002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000a42a6305a8abbac5
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Oh! Yes, of course, I see!
Yes, those little credit card sized one-chip computers are very low on
resources.
So I think it shouldn't build the programs itself but rather download the
binaries everytime I "guix pull". What command line option should I use to
only download the binaries instead of building everything myself? Could you
please give me the command?

On Mon, Jun 22, 2020, 14:47 Efraim Flashner <efraim@HIDDEN> wrote:

> On Mon, Jun 22, 2020 at 02:28:33PM +0200, L=C3=A9on Lain Delysid wrote:
> > Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10 Buste=
r
> > (ARM like instruction set).
> > "guix pull" always results in failure with this message:
> >
> > building
> > /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv...
> >  76% [#######################################################
> >    ]builder for
> > `/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv'
> failed
> > due to signal 9 (Killed)
> > build of
> /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv
> > failed
> > View build log at
> >
> '/var/log/guix/drvs/3h/as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.=
drv.bz2'.
> > cannot build derivation
> > `/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv': 1
> dependencies
> > couldn't be built
> > building
> > /gnu/store/rmbf654gah845f3hbzn9hdamn3xn1s25-guix-config-source.drv...
> > cannot build derivation
> >
> `/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-modules.d=
rv':
> > 1 dependencies couldn't be built
> > cannot build derivation
> > `/gnu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv': 1
> > dependencies couldn't be built
> > cannot build derivation
> > `/gnu/store/4hk3v9q8nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.drv': 1
> > dependencies couldn't be built
> > cannot build derivation
> > `/gnu/store/ha53vvwh6v1d68v1kj5m43csinxlrflc-guix-system.drv': 1
> > dependencies couldn't be built
> > cannot build derivation
> >
> `/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fae72ebb4-modules.drv':=
 1
> > dependencies couldn't be built
> > cannot build derivation
> > `/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.drv': 1
> > dependencies couldn't be built
> > cannot build derivation
> > `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv': 1 dependenci=
es
> > couldn't be built
> > guix pull: error: build of
> > `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv' failed1
> >
> >
> >
> > What can I do? Some help would be much appreciated. Thanks!
> >
> > Best regards,
> > L=C3=A9on
>
> The signal 9 (killed) makes me think a C++ program killed. I checked
> wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
> anything else running at the time? 'guix pull' can be resource
> intensive, especially on lower powered machines.
>
> --
> Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=
=9D =D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
> GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypt=
ed
>

--000000000000a42a6305a8abbac5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Oh! Yes, of course, I see!<div dir=3D"auto">Yes, those li=
ttle credit card sized one-chip computers are very low on resources.</div><=
div dir=3D"auto">So I think it shouldn&#39;t build the programs itself but =
rather download the binaries everytime I &quot;guix pull&quot;. What comman=
d line option should I use to only download the binaries instead of buildin=
g everything myself? Could you please give me the command?</div></div><br><=
div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Mon, Jun=
 22, 2020, 14:47 Efraim Flashner &lt;<a href=3D"mailto:efraim@HIDDEN=
l">efraim@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail=
_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:=
1ex">On Mon, Jun 22, 2020 at 02:28:33PM +0200, L=C3=A9on Lain Delysid wrote=
:<br>
&gt; Hello! I&#39;m having a problem on a Banana Pi M3 that runs Debian 10 =
Buster<br>
&gt; (ARM like instruction set).<br>
&gt; &quot;guix pull&quot; always results in failure with this message:<br>
&gt; <br>
&gt; building<br>
&gt; /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv...<=
br>
&gt;=C2=A0 76% [#######################################################<br>
&gt;=C2=A0 =C2=A0 ]builder for<br>
&gt; `/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv&#3=
9; failed<br>
&gt; due to signal 9 (Killed)<br>
&gt; build of /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-bas=
e.drv<br>
&gt; failed<br>
&gt; View build log at<br>
&gt; &#39;/var/log/guix/drvs/3h/as7cgd39q9jb9a78vdzjcyycsa6z96-guix-package=
s-base.drv.bz2&#39;.<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv&#39;: 1 depe=
ndencies<br>
&gt; couldn&#39;t be built<br>
&gt; building<br>
&gt; /gnu/store/rmbf654gah845f3hbzn9hdamn3xn1s25-guix-config-source.drv...<=
br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-module=
s.drv&#39;:<br>
&gt; 1 dependencies couldn&#39;t be built<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv&#39;: 1=
<br>
&gt; dependencies couldn&#39;t be built<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/4hk3v9q8nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.drv&#39=
;: 1<br>
&gt; dependencies couldn&#39;t be built<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/ha53vvwh6v1d68v1kj5m43csinxlrflc-guix-system.drv&#39;: 1<b=
r>
&gt; dependencies couldn&#39;t be built<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fae72ebb4-modules.dr=
v&#39;: 1<br>
&gt; dependencies couldn&#39;t be built<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.drv&#39;: =
1<br>
&gt; dependencies couldn&#39;t be built<br>
&gt; cannot build derivation<br>
&gt; `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv&#39;: 1 depen=
dencies<br>
&gt; couldn&#39;t be built<br>
&gt; guix pull: error: build of<br>
&gt; `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv&#39; failed1<=
br>
&gt; <br>
&gt; <br>
&gt; <br>
&gt; What can I do? Some help would be much appreciated. Thanks!<br>
&gt; <br>
&gt; Best regards,<br>
&gt; L=C3=A9on<br>
<br>
The signal 9 (killed) makes me think a C++ program killed. I checked<br>
wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there<br>
anything else running at the time? &#39;guix pull&#39; can be resource<br>
intensive, especially on lower powered machines.<br>
<br>
-- <br>
Efraim Flashner=C2=A0 =C2=A0&lt;<a href=3D"mailto:efraim@HIDDEN" ta=
rget=3D"_blank" rel=3D"noreferrer">efraim@HIDDEN</a>&gt;=C2=A0 =C2=
=A0=D7=90=D7=A4=D7=A8=D7=99=D7=9D =D7=A4=D7=9C=D7=A9=D7=A0=D7=A8<br>
GPG key =3D A28B F40C 3E55 1372 662D=C2=A0 14F7 41AA E7DC CA3D 8351<br>
Confidentiality cannot be guaranteed on emails sent or received unencrypted=
<br>
</blockquote></div>

--000000000000a42a6305a8abbac5--




Information forwarded to bug-guix@HIDDEN:
bug#42002; Package guix. Full text available.

Message received at 42002 <at> debbugs.gnu.org:


Received: (at 42002) by debbugs.gnu.org; 22 Jun 2020 12:47:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 08:47:50 2020
Received: from localhost ([127.0.0.1]:33467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnLra-0006Or-3g
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 08:47:50 -0400
Received: from flashner.co.il ([178.62.234.194]:55652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1jnLrX-0006Ob-DP
 for 42002 <at> debbugs.gnu.org; Mon, 22 Jun 2020 08:47:49 -0400
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 178B640031;
 Mon, 22 Jun 2020 12:47:41 +0000 (UTC)
Date: Mon, 22 Jun 2020 15:47:08 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: =?utf-8?B?TMOpb24=?= Lain Delysid <leon.lain.delysid@HIDDEN>
Subject: Re: bug#42002: Bug: Signal kill during build
Message-ID: <20200622124708.GC22974@E5400>
References: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="UfEAyuTBtIjiZzX6"
Content-Disposition: inline
In-Reply-To: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Jun 22, 2020 at 02:28:33PM +0200, Léon Lain Delysid
    wrote: > Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10
    Buster > (ARM like instruction set). > "guix pull" always result [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.5 PDS_BTC_ID             FP reduced Bitcoin ID
  1.0 PDS_BTC_MSGID          Bitcoin ID with T_MSGID_NOFQDN2
X-Debbugs-Envelope-To: 42002
Cc: 42002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)


--UfEAyuTBtIjiZzX6
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Jun 22, 2020 at 02:28:33PM +0200, L=C3=A9on Lain Delysid wrote:
> Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10 Buster
> (ARM like instruction set).
> "guix pull" always results in failure with this message:
>=20
> building
> /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv...
>  76% [#######################################################
>    ]builder for
> `/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv' fail=
ed
> due to signal 9 (Killed)
> build of /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.d=
rv
> failed
> View build log at
> '/var/log/guix/drvs/3h/as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.=
drv.bz2'.
> cannot build derivation
> `/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv': 1 dependencies
> couldn't be built
> building
> /gnu/store/rmbf654gah845f3hbzn9hdamn3xn1s25-guix-config-source.drv...
> cannot build derivation
> `/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-modules.d=
rv':
> 1 dependencies couldn't be built
> cannot build derivation
> `/gnu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv': 1
> dependencies couldn't be built
> cannot build derivation
> `/gnu/store/4hk3v9q8nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.drv': 1
> dependencies couldn't be built
> cannot build derivation
> `/gnu/store/ha53vvwh6v1d68v1kj5m43csinxlrflc-guix-system.drv': 1
> dependencies couldn't be built
> cannot build derivation
> `/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fae72ebb4-modules.drv':=
 1
> dependencies couldn't be built
> cannot build derivation
> `/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.drv': 1
> dependencies couldn't be built
> cannot build derivation
> `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv': 1 dependencies
> couldn't be built
> guix pull: error: build of
> `/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv' failed1
>=20
>=20
>=20
> What can I do? Some help would be much appreciated. Thanks!
>=20
> Best regards,
> L=C3=A9on

The signal 9 (killed) makes me think a C++ program killed. I checked
wikipedia and it says the Banana Pi M3 has 2GB of RAM. Was there
anything else running at the time? 'guix pull' can be resource
intensive, especially on lower powered machines.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--UfEAyuTBtIjiZzX6
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl7wqEgACgkQQarn3Mo9
g1GI5w//XWclsfiDNPGX4nLLvVu2/vfZcCW5sc0PRgPlexu27/wa7926U1IoXYgG
0p7zTECTc2RS/mt9Y5oZLoYTAKUgDsAJEgUAiwwMMgvPT0egZ9nPEEbBupq6dkZU
4WpK8ermlUL+3UWFsuSB7GVU2DfZOJC+9svWWFC3o339F5JjKf7eJQVu/SQfCUTZ
Hrd9UMPqKDbE1aqOtB4F6JZaxZ6iKjAvmOJD/JuNF63bAejFoGM+dIHMt6Z8tHdt
tppaYXfvhKR9Gi0Mbnoa6wyJTnDsi+8/tp2NPPtCp61AseLMzmf2RvVCoODGccwz
l4ONjUqXMHih35/5gGsiLWl4qAdFdgTl/QcABHanjfhqndZdhsze9bua4EX2ChjU
nKh7cwBHoO0FM0pg63h80mNVdz7MlFY/KvQcRO8/as3wAYWObX6F/zOi1tojML0e
tI/7TiFRW9j4BDBd1c1BvO3HlBM4pbAsVN7bJYa/XCQYmhnj3vAA128pegUWlX3T
w7ejY3/N9ZLtxatWqpyxKSj03tW2wIYwomUKCUXOgNvtlslE50dLIryFQjUUH04f
kbi4nzTASKCI67t1Qw/1CK1BAUU4RX4kHJq9OcUIpjMxecuobrXxpa6BQ16EB8Dn
TGiDzPweMvrMTeZ9xUA6P64LXZX34jQ7Bt9mN4dz9op3mSZCO/s=
=qBgP
-----END PGP SIGNATURE-----

--UfEAyuTBtIjiZzX6--




Information forwarded to bug-guix@HIDDEN:
bug#42002; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jun 2020 12:28:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 22 08:28:51 2020
Received: from localhost ([127.0.0.1]:33444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jnLZC-0005te-MJ
	for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 08:28:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:59240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leon.lain.delysid@HIDDEN>) id 1jnLZA-0005tW-SX
 for submit <at> debbugs.gnu.org; Mon, 22 Jun 2020 08:28:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33512)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leon.lain.delysid@HIDDEN>)
 id 1jnLZA-0004AA-Ly
 for bug-guix@HIDDEN; Mon, 22 Jun 2020 08:28:48 -0400
Received: from mail-ed1-x533.google.com ([2a00:1450:4864:20::533]:40025)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <leon.lain.delysid@HIDDEN>)
 id 1jnLZ9-0001Ex-2A
 for bug-guix@HIDDEN; Mon, 22 Jun 2020 08:28:48 -0400
Received: by mail-ed1-x533.google.com with SMTP id p18so13482929eds.7
 for <bug-guix@HIDDEN>; Mon, 22 Jun 2020 05:28:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=rmqgWdaC6UVtmuqAWOvJKMrbsg++iBlO9v3FhrPYWYg=;
 b=PoYQ+EITJ1s00qqwMe15qQ20Ad37Ig0cO0j5L1YCT1+Rl10Mi9Ndi+CX1Y0Gy9kkJ/
 oKRrT6KT8w4X9iHY0bDipycLbSBnsMGZngc3QxKSYm3kKVCaiooGMocK2V72hOa3LeUD
 10q2WPX7yYOkm/xWaqeW6JI22P8kOW0W32tLnhUbfJwMXb9f3F7navTADTUccaAIYef1
 1VgQs9qChbG31Sqr0khy5vJKLKPSU4aQzbbrtzlOGUJVDLjUVsYwEN88n0+5pN/SHNeB
 qWqNu5XeUpjSV6lgAsgkW7mBg84fogVW5bQ9Z7zqckIEumIGBhvTb9kBfcaYBcbPOcjC
 WChg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=rmqgWdaC6UVtmuqAWOvJKMrbsg++iBlO9v3FhrPYWYg=;
 b=e9ecvXjfKDkOq32zg12SAjgEYaeSDbgPfANkosY+6IR5xyMCm/8Vtp3o+WDoYhnBKy
 7fimi8WLHJzFwjqXvmOQxxGepMbGfTj0HZ/sDMBqtIQm31Oukd2YuRmxzM7pw+hY/lHB
 g1suFEX9c6A2RGqeOT6iXE4YoD3tbgZwkKGy+jvlW+4WI9ko2/KVE4033wAuN0lxpUXq
 /GNkSaJPHGhWPzeBuYj60lDqXGoX+9XibdRzlc72zuND4tYTK97K5apy/CEXy6nv48DG
 xCBzMZmFHGNiXQBJTj6jBxZLUN/GicCMv/65Q7QnGr9Z67NGaYkJxj8tglMQbrhGitiY
 miJw==
X-Gm-Message-State: AOAM532GOB0okIzjjTDiPyfZQtLGn9nJh6597U8KU1aPhe3LYs8oIZKE
 /NoF4Vyr19uqJKKdqELDNIPQBQyLmi8ug3rHNrP5Kp04
X-Google-Smtp-Source: ABdhPJwcIwUz3W0BAqyo1z189EAkxIhTmgtvcy/5veEagToW2uJumBpsiDD7KKAR/t/yP+3QPX1oR9eJQLRjvkAWmSQ=
X-Received: by 2002:aa7:da17:: with SMTP id r23mr17240031eds.261.1592828924464; 
 Mon, 22 Jun 2020 05:28:44 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?Q?L=C3=A9on_Lain_Delysid?= <leon.lain.delysid@HIDDEN>
Date: Mon, 22 Jun 2020 14:28:33 +0200
Message-ID: <CAHecTjd+wTovtoo+nFNP-HTeiPprch5Bro_04ouP7EWa_Z758Q@HIDDEN>
Subject: Bug: Signal kill during build
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000003b10cd05a8ab6249"
Received-SPF: pass client-ip=2a00:1450:4864:20::533;
 envelope-from=leon.lain.delysid@HIDDEN; helo=mail-ed1-x533.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, PDS_BTC_ID=1, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hello! I'm having a problem on a Banana Pi M3 that runs
 Debian
 10 Buster (ARM like instruction set). "guix pull" always results in failure
 with this message: building
 /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv...
 76% [####################################################### ]builder for
 `/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-gu [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (leon.lain.delysid[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 PDS_BTC_ID             FP reduced Bitcoin ID
 2.0 SPOOFED_FREEMAIL       No description available.
 1.0 BITCOIN_SPAM_05        BitCoin spam pattern 05
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--0000000000003b10cd05a8ab6249
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello! I'm having a problem on a Banana Pi M3 that runs Debian 10 Buster
(ARM like instruction set).
"guix pull" always results in failure with this message:

building
/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv...
 76% [#######################################################
   ]builder for
`/gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv' failed
due to signal 9 (Killed)
build of /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv
failed
View build log at
'/var/log/guix/drvs/3h/as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.dr=
v.bz2'.
cannot build derivation
`/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv': 1 dependencies
couldn't be built
building
/gnu/store/rmbf654gah845f3hbzn9hdamn3xn1s25-guix-config-source.drv...
cannot build derivation
`/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-modules.drv=
':
1 dependencies couldn't be built
cannot build derivation
`/gnu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv': 1
dependencies couldn't be built
cannot build derivation
`/gnu/store/4hk3v9q8nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.drv': 1
dependencies couldn't be built
cannot build derivation
`/gnu/store/ha53vvwh6v1d68v1kj5m43csinxlrflc-guix-system.drv': 1
dependencies couldn't be built
cannot build derivation
`/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fae72ebb4-modules.drv': 1
dependencies couldn't be built
cannot build derivation
`/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.drv': 1
dependencies couldn't be built
cannot build derivation
`/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv': 1 dependencies
couldn't be built
guix pull: error: build of
`/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv' failed1



What can I do? Some help would be much appreciated. Thanks!

Best regards,
L=C3=A9on

--0000000000003b10cd05a8ab6249
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hello! I&#39;m having a problem on a Banana Pi M3 that run=
s Debian 10 Buster (ARM like instruction set).<div>&quot;guix pull&quot; al=
ways results in failure with this message:</div><div><br><div>building /gnu=
/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv...<br>=C2=A0=
76% [####################################################### =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0]builder for `/gnu/store/3h=
as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv&#39; failed due to si=
gnal 9 (Killed)<br>build of /gnu/store/3has7cgd39q9jb9a78vdzjcyycsa6z96-gui=
x-packages-base.drv failed<br>View build log at &#39;/var/log/guix/drvs/3h/=
as7cgd39q9jb9a78vdzjcyycsa6z96-guix-packages-base.drv.bz2&#39;.<br>cannot b=
uild derivation `/gnu/store/z728xwhxnaczkjky15939zjp4v2pvrld-guix-cli.drv&#=
39;: 1 dependencies couldn&#39;t be built<br>building /gnu/store/rmbf654gah=
845f3hbzn9hdamn3xn1s25-guix-config-source.drv...<br>cannot build derivation=
 `/gnu/store/1i3w8dgf5lzapb8l59i3lriskcd8q30c-guix-packages-base-modules.dr=
v&#39;: 1 dependencies couldn&#39;t be built<br>cannot build derivation `/g=
nu/store/4rzrb0xwgh2achzijn6fsdkhgqych6br-guix-packages.drv&#39;: 1 depende=
ncies couldn&#39;t be built<br>cannot build derivation `/gnu/store/4hk3v9q8=
nlzy18xg6cklmrv1x1hi1f4j-guix-system-tests.drv&#39;: 1 dependencies couldn&=
#39;t be built<br>cannot build derivation `/gnu/store/ha53vvwh6v1d68v1kj5m4=
3csinxlrflc-guix-system.drv&#39;: 1 dependencies couldn&#39;t be built<br>c=
annot build derivation `/gnu/store/3q6g7ppayihip0wxhghwkq2nc0qg8kd9-guix-fa=
e72ebb4-modules.drv&#39;: 1 dependencies couldn&#39;t be built<br>cannot bu=
ild derivation `/gnu/store/gl3gim8cd8p920iw3m5qwdyv6zvlhwnv-guix-fae72ebb4.=
drv&#39;: 1 dependencies couldn&#39;t be built<br>cannot build derivation `=
/gnu/store/85vkb01zgkfmy902m352hjcv35d7hzqb-profile.drv&#39;: 1 dependencie=
s couldn&#39;t be built<br>guix pull: error: build of `/gnu/store/85vkb01zg=
kfmy902m352hjcv35d7hzqb-profile.drv&#39; failed1<br></div></div><div><br></=
div><div><br></div><div><br></div><div>What can I do? Some help would be mu=
ch appreciated. Thanks!</div><div><br></div><div>Best regards,</div><div>L=
=C3=A9on</div></div>

--0000000000003b10cd05a8ab6249--




Acknowledgement sent to Léon Lain Delysid <leon.lain.delysid@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#42002; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 23 Jun 2020 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.